Skip to content

Update a conversation

Request

You can update an existing conversation.

Replying and other actions

If you want to reply to a coveration or take an action such as assign, unassign, open, close or snooze, take a look at the reply and manage endpoints.

Breaking change: duplicate custom attribute names

The PUT /conversations/{id} endpoint now returns a 400 INVALID_PARAMETER error when the request includes custom_attributes and your workspace contains multiple non-archived conversation custom attributes with the same name. Previously, the update would silently apply to a non-deterministic attribute. To resolve, rename or archive the duplicate attribute in your workspace settings, then retry the request.

Security
bearerAuth
Path
idintegerrequired

The id of the conversation to target

Example:123
Query
display_asstring

Set to plaintext to retrieve conversation messages in plain text.

Example:display_as=plaintext
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
Bodyapplication/json
readboolean

Mark a conversation as read within Intercom.

Example:true
custom_attributesobject(Custom Attributes)

An object containing the different custom attributes associated to the conversation as key-value pairs. For relationship attributes the value will be a list of custom object instance models.

curl -i -X PUT \
  'https://api.intercom.io/conversations/123?display_as=plaintext' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.9' \
  -d '{
    "read": true
  }'

Responses

conversation found

Bodyapplication/json
typestring

Always conversation.

Example:"conversation"
idstring

The id representing the conversation.

Example:"1295"
titlestring or null

The title given to the conversation.

Example:"Conversation Title"
created_atinteger, (date-time)

The time the conversation was created.

Example:1663597223
updated_atinteger, (date-time)

The last time the conversation was updated.

Example:1663597260
waiting_sinceinteger or null, (date-time)

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example:1663597260
snoozed_untilinteger or null, (date-time)

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example:1663597260
openboolean

Indicates whether a conversation is open (true) or closed (false).

Example:true
statestring

Can be set to "open", "closed" or "snoozed".

Enum:"open""closed""snoozed"
Example:"open"
readboolean

Indicates whether a conversation has been read.

Example:true
prioritystring

If marked as priority, it will return priority or else not_priority.

Enum:"priority""not_priority"
Example:"priority"
admin_assignee_idinteger or null

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return null.

Example:0
team_assignee_idinteger or null

The id of the team assigned to the conversation. If it's not assigned to a team it will return null.

Example:5017691
tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject or null(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

contactsobject(Contacts)

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

teammatesobject or null(Conversation teammates)

The list of teammates who participated in the conversation (wrote at least one conversation part).

first_contact_replyobject or null(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject or null(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject or null(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

Response
{ "type": "conversation", "id": "337", "created_at": 1717021469, "updated_at": 1717021471, "waiting_since": null, "snoozed_until": null, "source": { "type": "conversation", "id": "403918245", "delivered_as": "admin_initiated", "subject": "", "body": "<p>this is the message body</p>", "author": {}, "attachments": [], "url": null, "redacted": false }, "contacts": { "type": "contact.list", "contacts": [] }, "first_contact_reply": null, "admin_assignee_id": 991267715, "team_assignee_id": 5017691, "open": false, "state": "closed", "read": true, "tags": { "type": "tag.list", "tags": [] }, "priority": "not_priority", "sla_applied": null, "statistics": null, "conversation_rating": null, "teammates": null, "title": null, "topics": {}, "ticket": null, "conversation_parts": { "type": "conversation_part.list", "conversation_parts": [], "total_count": 2 } }